=== debian/changelog ===
qsynth (0.3.5-1) unstable; urgency=low

  * New Upstream release.
  * Fix FTBFS with binutils-gold (Closes: #556306), add binutils-gold.patch.
  * Fix soundfont selection (Closes: #567565)
    - Add fluid-soundfont-gm as Recommend.
    - Add sounfont_dir_default.patch, let soundfont selection start in
      /usr/share/sound/sf2/.
  * Refresh desktop_categories.patch.

 -- Xavier Oswald <xoswald@debian.org>  Thu, 22 Apr 2010 11:33:06 +0200

qsynth (0.3.4-3) unstable; urgency=low

  * New maintainer is me (Closes: #503527)
  * Bump Standards-Version to 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Wed, 03 Feb 2010 09:40:50 +0100

qsynth (0.3.4-2) unstable; urgency=low

  * QA upload.
  * The watch file do no longer get warnings from uscan (Closes: #449808).
  * Update 01_desktop_categories.dpatch, add missing AudioVideo
    category (Closes: #566730).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Jan 2010 23:04:02 +0100

qsynth (0.3.4-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Update desktop categories patch.
  * New upstream release. (Closes: #479446)
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 22 Aug 2009 21:34:10 -0400

qsynth (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Repackaging
  * Fix .desktop file categories according to
    http://standards.freedesktop.org/menu-spec/1.0/apa.html
  * Add a manpage

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Fri, 06 Jun 2008 12:59:01 +0300

qsynth (0.2.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix desktop file name (Closes: #415327).

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  4 May 2008 23:30:26 +0200

qsynth (0.2.5-2.1) unstable; urgency=low

  [ Sandro Tosi ]
  * Non-maintainer upload.
  * debian/rules
    - call upstream makefile clean target (Closes: #424295)

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 05 Apr 2008 13:25:58 +0200

qsynth (0.2.5-2) unstable; urgency=low

  * Install xpm qsynth icon, no .png in /usr/share/pixmaps/ (closes: #400222)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 27 Nov 2006 20:45:26 +0100

qsynth (0.2.5-1) unstable; urgency=low

  * New upstream release (closes: #383861)
  * Add .desktop file (closes: #370014)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun,  8 Oct 2006 18:02:36 +0200

qsynth (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 17 Nov 2005 04:20:56 +0100

qsynth (0.2.3-2) unstable; urgency=low

  * Rebuild to trigger new dependency on libqt3-mt, replacing libqt3c102-mt 
  * (closes: #328016)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 12 Sep 2005 12:54:02 +0200

qsynth (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  7 Jun 2005 01:33:44 +0200

qsynth (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Reference the xpm icon from /usr/share/pixmaps in menu entry

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 13 Mar 2005 20:52:08 +0100

qsynth (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Added a menu entry (closes: #260778)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sat, 29 May 2004 01:48:05 +0200

qsynth (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 31 Dec 2003 00:18:25 +0100

qsynth (0.0.3-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 17 Dec 2003 14:35:34 +0100

qsynth (0.0.2-1) unstable; urgency=low

  * Initial Release. (closes: #222946)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri,  5 Dec 2003 02:42:05 +0100
