=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Xavier Oswald <xoswald@debian.org>
Build-Depends: debhelper (>= 7), libqt4-dev, libfluidsynth-dev
Standards-Version: 3.8.4
Homepage: http://qsynth.sourceforge.net

Package: qsynth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qjackctl, fluid-soundfont-gm
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt 4
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.
