=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package = qsynth

clean: 
	dh_testdir
	dh_clean
	rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile qsynth.spec config.log
	rm -f src/qsynth.desktop src/config.h src/src.pri

install: build
	dh_clean
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) install
	install -m644 debian/qsynth.xpm \
	              $(CURDIR)/debian/qsynth/usr/share/pixmaps

build: build-stamp
build-stamp: 
	./configure --prefix=/usr
	$(MAKE)
	touch build

binary-indep: install

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a debian/qsynth.1
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep clean checkroot
