## qsynth 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION_MAJOR 0)
-set (VERSION_MINOR 3)
-set (VERSION_PATCH 5)
-set (VERSION_SUFFIX "")
-set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}")
+set (VERSION "0.3.6")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -28,7 +24,7 @@
 option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)
 
 # Check for Qt
-set (QT_MIN_VERSION "4.1.0")
+set (QT_MIN_VERSION "4.2.0")
 find_package (Qt4 REQUIRED)
 include (${QT_USE_FILE})
 
@@ -38,17 +34,21 @@
 include (CheckLibraryExists)
 
 # Checks for libraries.
-find_library ( MATH_LIBRARY m )
-# Check for round math function.
-if (MATH_LIBRARY)
-    set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
-    check_function_exists ( lroundf CONFIG_ROUND )
-else (MATH_LIBRARY)
-    message (FATAL_ERROR "math library not found")    
-endif (MATH_LIBRARY)
+if (WIN32)
+  check_function_exists ( lroundf CONFIG_ROUND )
+else (WIN32)
+  find_library ( MATH_LIBRARY m )
+  # Check for round math function.
+  if (MATH_LIBRARY)
+      set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
+      check_function_exists ( lroundf CONFIG_ROUND )
+  else (MATH_LIBRARY)
+      message (FATAL_ERROR "math library not found")
+  endif (MATH_LIBRARY)
+endif (WIN32)
 
 # Check for fluidsynth library.
-find_library ( FLUIDSYNTH_LIBRARY fluidsynth ) 
+find_library ( FLUIDSYNTH_LIBRARY fluidsynth )
 
 # Checks for header files.
 check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
