=== debian/changelog ===
qsynth (0.3.6-2ubuntu1) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 09 Apr 2013 22:57:20 -0400

qsynth (0.3.6-2) unstable; urgency=low

  * debian/control: Build-depend on libx11-dev (Closes: #639058).
  * debian/copyright: Apply DEP-5 format.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Aug 2011 11:33:38 +0200

qsynth (0.3.6-1) unstable; urgency=low

  * New maintainer (Closes: #632994).
  * New upstream release (Closes: #627047).
  * Switch to DH7 short-form.
  * Remove patches adopted by upstream, refresh other patches.
  * Update copyright holders.
  * Remove qjackctl from Recommends, add jackd on Suggests.
  * Buildsystem now is cmake.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 11:58:41 +0200
