=== debian/changelog ===
qsynth (0.3.7-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Fix FTBFS due to missing ld flag. (Closes: #713488)
  * Update debian/copyright to meet copyright format 1.0
  * Set VCS to meet the canonical form.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Oct 2013 18:35:32 +0100
