=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 7.0.50~),
 libfluidsynth-dev,
 libqt4-dev,
 libx11-dev
Standards-Version: 3.9.4
Homepage: http://qsynth.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git

Package: qsynth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fluid-soundfont-gm
Suggests:
 jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt 4
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.
