## qsynth 0.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.3.7")
+set (VERSION "0.3.8")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -24,7 +24,7 @@
 option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)
 
 # Check for Qt
-set (QT_MIN_VERSION "4.2.0")
+set (QT_MIN_VERSION "4.4.0")
 find_package (Qt4 REQUIRED)
 include (${QT_USE_FILE})
