=== src/CMakeLists.txt ===
--- 
+++ 
@@ -116,6 +116,7 @@
    translations/qsynth_cs.ts
    translations/qsynth_de.ts
    translations/qsynth_es.ts
+   translations/qsynth_fr.ts
    translations/qsynth_ru.ts
 )
