=== debian/changelog ===
qsynth (0.3.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Set compat/dh 9.
  * Added Keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Jan 2014 13:35:27 +0000
