=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libfluidsynth-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git
