=== debian/watch ===
version=3
http://sf.net/qsynth/qsynth-([\d.]+)\.tar\.gz
