=== debian/changelog ===
qsynth (0.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Mar 2015 11:56:41 +0100
