=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfluidsynth-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git
