=== debian/changelog ===
qsynth (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 07 Sep 2015 21:00:52 +0200
