=== debian/control ===
--- 
+++ 
@@ -8,8 +8,12 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
+# qt5-default,
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libfluidsynth-dev,
- libqt4-dev,
  libx11-dev
 Standards-Version: 3.9.6
 Homepage: http://qsynth.sourceforge.net
