=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=qt5

%:
	dh $@ --parallel
