## qsynth 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.4.0")
+set (VERSION "0.4.1")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -25,8 +25,8 @@
 
 # Check for Qt
 set (QT_MIN_VERSION "5.1.0")
-find_package (Qt5 REQUIRED)
-include (${QT_USE_FILE})
+find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets)
+find_package(Qt5LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
