=== debian/changelog ===
qsynth (0.4.1-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831092).
  * Build with dh-autoreconf.
  * Tune .gitignore file.
  * Add description to patch.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 23:30:13 +0200

qsynth (0.4.1-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1
  * Bump Standards.
  * Fix VCS fields.
  * Tidy up build-deps.
  * Refresh patch.
  * Remove menu file.
  * Remove patch - fixed upstream.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 12:00:31 +0200
