=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
-# qt5-default,
+ dh-autoreconf,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://qsynth.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git
 
 Package: qsynth
 Architecture: any
