=== debian/changelog ===
qsynth (0.4.3-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #844993)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 16:58:59 +0100

qsynth (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Patch refreshed.
  * Add pkg-config as B-D.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Nov 2016 22:04:26 +0100

qsynth (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patch applied upstream.
  * Enable dbgsym package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 16:32:34 +0200
