=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
+ pkg-config,
  dh-autoreconf,
  qtbase5-dev,
  qttools5-dev-tools,
