=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-debug
