=== debian/changelog ===
qsynth (0.4.4-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.4.4
  * Patches applied upstream - removed.
  * Bump Standards.
  * Remove dh_autoreconf.
  * Update copyright file.
  * Sign tags.
  * Avoid useless linking.
  * Add override file.
  * Install upstream man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Jun 2017 08:45:47 +0200
