=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
  cmake,
  debhelper (>= 10),
  pkg-config,
- dh-autoreconf,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git
