=== debian/changelog ===
qsynth (0.5.0-2) unstable; urgency=medium

  * Add patch to fix FTCBFS. (Closes: #886543)
  * Set dh/compat 11.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 07 Jan 2018 16:11:58 +0100

qsynth (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patch refreshed.
  * Delete unneeded files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 17:02:44 +0100
