=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11~),
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 4.0.0
-Homepage: http://qsynth.sourceforge.net
+Standards-Version: 4.1.3
+Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
 
 Package: qsynth
 Architecture: any
